package fr.eni.enchere.bo;

import java.util.Date;

public class Enchere {

    private int id;
    private int noUtilisateur;
    private String pseudoUtilisateur;
    private int noArticle;
    private Date dateEnchere;
    private float montantEnchere;
    private boolean isDelete;

    public Enchere(){}

    public Enchere(boolean isDelete, int id, int noUtilisateur, int noArticle, String pseudoUtilisateur, Date dateEnchere, float montantEnchere ) {
        setId(id);
        setNoUtilisateur(noUtilisateur);
        setPseudoUtilisateur(pseudoUtilisateur);
        setNoArticle(noArticle);
        setDateEnchere(dateEnchere);
        setMontantEnchere(montantEnchere);
        setDelete(isDelete);
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public float getMontantEnchere() {
        return montantEnchere;
    }

    public void setMontantEnchere(float montantEnchere) {
        this.montantEnchere = montantEnchere;
    }

    public Date getDateEnchere() {
        return dateEnchere;
    }

    public void setDateEnchere(Date dateEnchere) {
        this.dateEnchere = dateEnchere;
    }

    public int getNoArticle() {
        return noArticle;
    }

    public void setNoArticle(int noArticle) {
        this.noArticle = noArticle;
    }

    public int getNoUtilisateur() {
        return noUtilisateur;
    }

    public void setNoUtilisateur(int noUtilisateur) {
        this.noUtilisateur = noUtilisateur;
    }

    public String getPseudoUtilisateur() {
        return pseudoUtilisateur;
    }

    public void setPseudoUtilisateur(String pseudoUtilisateur) {
        this.pseudoUtilisateur = pseudoUtilisateur;
    }

    public boolean isDelete() {
        return isDelete;
    }

    public void setDelete(boolean delete) {
        isDelete = delete;
    }
}
